PINECONE_API_KEY="YOUR_API_KEY"
INDEX_NAME="docs-example"
curl "https://api.pinecone.io/indexes/$INDEX_NAME/backups" \
-H "Api-Key: $PINECONE_API_KEY" \
-H 'accept: application/json' \
-H 'Content-Type: application/json' \
-H "X-Pinecone-Api-Version: 2026-07" \
-d '{
"name": "example-backup",
"description": "Monthly backup of production index"
}'
{
"backup_id": "670e8400-e29b-41d4-a716-446655440001",
"source_index_name": "my-index",
"source_index_id": "670e8400-e29b-41d4-a716-446655440000",
"status": "Ready",
"cloud": "aws",
"region": "us-east-1",
"source_index_deleted_at": "2024-03-05T12:00:00.000Z",
"name": "backup-2025-02-04",
"description": "Backup before bulk update.",
"schema": {
"fields": {
"embedding": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
},
"title": {
"full_text_search": {
"language": "en",
"stemming": false,
"stop_words": false
},
"type": "string"
}
}
},
"record_count": 120000,
"namespace_count": 3,
"size_bytes": 10000000,
"tags": {
"tag0": "val0",
"tag1": "val1"
},
"created_at": "2025-02-04T10:30:00.000Z"
}Create a backup of an index
Create a backup of an index.
The backup records the schema of the index it is taken from and reports it as schema. An index created from the backup with Create index from backup inherits that schema.
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_NAME="docs-example"
curl "https://api.pinecone.io/indexes/$INDEX_NAME/backups" \
-H "Api-Key: $PINECONE_API_KEY" \
-H 'accept: application/json' \
-H 'Content-Type: application/json' \
-H "X-Pinecone-Api-Version: 2026-07" \
-d '{
"name": "example-backup",
"description": "Monthly backup of production index"
}'
{
"backup_id": "670e8400-e29b-41d4-a716-446655440001",
"source_index_name": "my-index",
"source_index_id": "670e8400-e29b-41d4-a716-446655440000",
"status": "Ready",
"cloud": "aws",
"region": "us-east-1",
"source_index_deleted_at": "2024-03-05T12:00:00.000Z",
"name": "backup-2025-02-04",
"description": "Backup before bulk update.",
"schema": {
"fields": {
"embedding": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
},
"title": {
"full_text_search": {
"language": "en",
"stemming": false,
"stop_words": false
},
"type": "string"
}
}
},
"record_count": 120000,
"namespace_count": 3,
"size_bytes": 10000000,
"tags": {
"tag0": "val0",
"tag1": "val1"
},
"created_at": "2025-02-04T10:30:00.000Z"
}PINECONE_API_KEY="YOUR_API_KEY"
INDEX_NAME="docs-example"
curl "https://api.pinecone.io/indexes/$INDEX_NAME/backups" \
-H "Api-Key: $PINECONE_API_KEY" \
-H 'accept: application/json' \
-H 'Content-Type: application/json' \
-H "X-Pinecone-Api-Version: 2026-07" \
-d '{
"name": "example-backup",
"description": "Monthly backup of production index"
}'
Authorizations
Headers
Required date-based version header
Path Parameters
Name of the index to backup
Body
The desired configuration for the backup.
The configuration needed to create a backup of an index.
The name of the backup. Must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or -; any other value is rejected with 400.
1 - 45"backup-2025-03-15"
A description of the backup.
Response
The backup was created. The returned backup starts in status Initializing; poll it until the status is Ready.
The BackupModel describes the configuration and status of a Pinecone backup.
Unique identifier for the backup.
"670e8400-e29b-41d4-a716-446655440001"
Name of the index from which the backup was taken.
"my-index"
ID of the index from which the backup was taken.
"670e8400-e29b-41d4-a716-446655440000"
Current status of the backup.
"Ready"
Cloud provider where the backup is stored.
"aws"
Cloud region where the backup is stored.
"us-east-1"
The deletion timestamp when the source index has been deleted. Not present for backups associated with an active index.
"2024-03-05T12:00:00.000Z"
Optional user-defined name for the backup.
"backup-2025-02-04"
Optional description providing context for the backup.
"Backup before bulk update."
The schema of a Pinecone index. The schema defines the typed fields that documents in the index can contain, including vector fields, semantic text fields, and metadata fields.
Show child attributes
Show child attributes
{
"fields": {
"embedding": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
},
"title": {
"full_text_search": {
"language": "en",
"stemming": false,
"stop_words": false
},
"type": "string"
}
}
}
Total number of records in the backup.
120000
Number of namespaces in the backup.
3
Size of the backup in bytes.
10000000
Custom user tags added to an index, at most 20 per index. Keys must be 80 characters or less and alphanumeric, '_', or '-'. Values must be 120 characters or less and consist of printable ASCII characters or spaces. To unset a key, set the value to be an empty string. null in responses when the index has no tags.
Show child attributes
Show child attributes
{ "tag0": "val0", "tag1": "val1" }
Timestamp when the backup was created.
"2025-02-04T10:30:00.000Z"
Was this page helpful?